| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csRenderMesh Struct Reference
[3D]

Mesh data as returned by mesh plugins. More...

`#include <ivideo/rendermesh.h>`

Inheritance diagram for csRenderMesh:

[legend]
List of all members.

## Public Member Functions
| csRenderMesh ()
| ~csRenderMesh ()
## Public Attributes
void * | geometryInstance
| Some unique ID for the geometry used to render this mesh.
iPortalContainer * | portal
| Pointer to a portalcontainer, if there is any.
csRef< iShaderVariableContext > | variablecontext
csVector3 | worldspace_origin
| Worldspace origin of the mesh.

## Detailed Description

Mesh data as returned by mesh plugins.

Contains both the data needed for rendering as well as some additional data for preprocessing.

Definition at line 154 of file rendermesh.h.

## Member Data Documentation

void* csRenderMesh::geometryInstance

Some unique ID for the geometry used to render this mesh.

Used for sorting purposes, and is allowed to be 0, although that means non-optimal mesh sorting at rendering.

Definition at line 169 of file rendermesh.h.

Referenced by csRenderMesh().

iPortalContainer* csRenderMesh::portal

Pointer to a portalcontainer, if there is any.

Definition at line 172 of file rendermesh.h.

Referenced by csRenderMesh().

csRef<iShaderVariableContext> csRenderMesh::variablecontext

Todo:
  Document me!

Definition at line 175 of file rendermesh.h.

csVector3 csRenderMesh::worldspace_origin

Worldspace origin of the mesh.

Definition at line 178 of file rendermesh.h.

The documentation for this struct was generated from the following file:

- ivideo/rendermesh.h